Up

# NSCell

### Authors

Scott Christley (`scottc@net-community.com`)

> The abstract cell class

Copyright: (C) 1996 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSCell class
2. Software documentation for the NSCell(PrivateMethods) category

# Software documentation for the NSCell class

## NSCell : NSObject

> Declared in:
>   AppKit/NSCell.h

> Conforms to:
>   NSCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_drawAttributedText:inFrame:
- -_drawText:inFrame:
- -_nonAutoreleasedTypingAttributes
- -_sizeText:
- -textColor
- +defaultMenu
- +prefersTrackingUntilMouseUp
- -acceptsFirstResponder
- -action
- -alignment
- -allowsEditingTextAttributes
- -allowsMixedState
- -attributedStringValue
- -calcDrawInfo:
- -cellAttribute:
- -cellSize
- -cellSizeForBounds:
- -compare:
- -continueTracking:at:inView:
- -controlSize
- -controlTint
- -controlView
- -doubleValue
- -drawInteriorWithFrame:inView:
- -drawWithFrame:inView:
- -drawingRectForBounds:
- -editWithFrame:inView:editor:delegate:event:
- -endEditing:
- -entryType
- -floatValue
- -font
- -formatter
- -getPeriodicDelay:interval:
- -hasValidObjectValue
- -highlight:withFrame:inView:
- -highlightColorWithFrame:inView:
- -image
- -imageRectForBounds:
- -importsGraphics
- -initImageCell:
- -initTextCell:
- -intValue
- -isBezeled
- -isBordered
- -isContinuous
- -isEditable
- -isEnabled
- -isEntryAcceptable:
- -isHighlighted
- -isOpaque
- -isScrollable
- -isSelectable
- -keyEquivalent
- -menu
- -menuForEvent:inRect:ofView:
- -mnemonic
- -mnemonicLocation
- -mouseDownFlags
- -nextState
- -objectValue
- -performClick:
- -refusesFirstResponder
- -representedObject
- -resetCursorRect:inView:
- -selectWithFrame:inView:editor:delegate:start:length:
- -sendActionOn:
- -sendsActionOnEndEditing
- -setAction:
- -setAlignment:
- -setAllowsEditingTextAttributes:
- -setAllowsMixedState:
- -setAttributedStringValue:
- -setBezeled:
- -setBordered:
- -setCellAttribute:to:
- -setContinuous:
- -setControlSize:
- -setControlTint:
- -setDoubleValue:
- -setEditable:
- -setEnabled:
- -setEntryType:
- -setFloatValue:
- -setFloatingPointFormat:left:right:
- -setFont:
- -setFormatter:
- -setHighlighted:
- -setImage:
- -setImportsGraphics:
- -setIntValue:
- -setMenu:
- -setMnemonicLocation:
- -setNextState
- -setObjectValue:
- -setRefusesFirstResponder:
- -setRepresentedObject:
- -setScrollable:
- -setSelectable:
- -setSendsActionOnEndEditing:
- -setShowsFirstResponder:
- -setState:
- -setStringValue:
- -setTag:
- -setTarget:
- -setTitle:
- -setTitleWithMnemonic:
- -setType:
- -setUpFieldEditorAttributes:
- -setWraps:
- -showsFirstResponder
- -startTrackingAt:inView:
- -state
- -stopTracking:at:inView:mouseIsUp:
- -stringValue
- -tag
- -takeDoubleValueFrom:
- -takeFloatValueFrom:
- -takeIntValueFrom:
- -takeObjectValueFrom:
- -takeStringValueFrom:
- -target
- -title
- -titleRectForBounds:
- -trackMouse:inRect:ofView:untilMouseUp:
- -type
- -wraps

### defaultMenu

+ (NSMenu*) defaultMenu;

Description forthcoming.

### prefersTrackingUntilMouseUp

+ (BOOL) prefersTrackingUntilMouseUp;

Description forthcoming.

### acceptsFirstResponder

- (BOOL) acceptsFirstResponder;

Description forthcoming.

### action

- (SEL) action;

Description forthcoming.

### alignment

- (NSTextAlignment) alignment;

Description forthcoming.

### allowsEditingTextAttributes

- (BOOL) allowsEditingTextAttributes;

Description forthcoming.

### allowsMixedState

- (BOOL) allowsMixedState;

Description forthcoming.

### attributedStringValue

- (NSAttributedString*) attributedStringValue;

Description forthcoming.

### calcDrawInfo:

- (void) calcDrawInfo: (NSRect)aRect;

Description forthcoming.

### cellAttribute:

- (int) cellAttribute: (NSCellAttribute)aParameter;

Description forthcoming.

### cellSize

- (NSSize) cellSize;

Description forthcoming.

### cellSizeForBounds:

- (NSSize) cellSizeForBounds: (NSRect)aRect;

Description forthcoming.

### compare:

- (NSComparisonResult) compare: (id)otherCell;

Compares the reciever to another to another NSCell. The argument must be an NSCell sublclass and have the NSCellType NSTextCellType. Returns the result of the comparison of each cell's stringValue.

### continueTracking:at:inView:

- (BOOL) continueTracking: (NSPoint)lastPoint at: (NSPoint)currentPoint inView: (NSView*)controlView;

Description forthcoming.

### controlSize

- (NSControlSize) controlSize;

Description forthcoming.

### controlTint

- (NSControlTint) controlTint;

Description forthcoming.

### controlView

- (NSView*) controlView;

Description forthcoming.

### doubleValue

- (double) doubleValue;

Description forthcoming.

### drawInteriorWithFrame:inView:

- (void) drawInteriorWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawWithFrame:inView:

- (void) drawWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### drawingRectForBounds:

- (NSRect) drawingRectForBounds: (NSRect)theRect;

Description forthcoming.

### editWithFrame:inView:editor:delegate:event:

- (void) editWithFrame: (NSRect)aRect inView: (NSView*)controlView editor: (NSText*)textObject delegate: (id)anObject event: (NSEvent*)theEvent;

Description forthcoming.

### endEditing:

- (void) endEditing: (NSText*)textObject;

Description forthcoming.

### entryType

- (int) entryType;

Description forthcoming.

### floatValue

- (float) floatValue;

Description forthcoming.

### font

- (NSFont*) font;

Description forthcoming.

### formatter

- (id) formatter;

Description forthcoming.

### getPeriodicDelay:interval:

- (void) getPeriodicDelay: (float*)delay interval: (float*)interval;

Description forthcoming.

### hasValidObjectValue

- (BOOL) hasValidObjectValue;

Description forthcoming.

### highlight:withFrame:inView:

- (void) highlight: (BOOL)lit withFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### highlightColorWithFrame:inView:

- (NSColor*) highlightColorWithFrame: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### image

- (NSImage*) image;

Description forthcoming.

### imageRectForBounds:

- (NSRect) imageRectForBounds: (NSRect)theRect;

Description forthcoming.

### importsGraphics

- (BOOL) importsGraphics;

Description forthcoming.

### initImageCell:

- (id) initImageCell: (NSImage*)anImage;

Description forthcoming.

### initTextCell:

- (id) initTextCell: (NSString*)aString;

Description forthcoming.

### intValue

- (int) intValue;

Description forthcoming.

### isBezeled

- (BOOL) isBezeled;

Description forthcoming.

### isBordered

- (BOOL) isBordered;

Description forthcoming.

### isContinuous

- (BOOL) isContinuous;

Description forthcoming.

### isEditable

- (BOOL) isEditable;

Description forthcoming.

### isEnabled

- (BOOL) isEnabled;

Description forthcoming.

### isEntryAcceptable:

- (BOOL) isEntryAcceptable: (NSString*)aString;

Description forthcoming.

### isHighlighted

- (BOOL) isHighlighted;

Description forthcoming.

### isOpaque

- (BOOL) isOpaque;

Description forthcoming.

### isScrollable

- (BOOL) isScrollable;

Description forthcoming.

### isSelectable

- (BOOL) isSelectable;

Description forthcoming.

### keyEquivalent

- (NSString*) keyEquivalent;

Description forthcoming.

### menu

- (NSMenu*) menu;

Description forthcoming.

### menuForEvent:inRect:ofView:

- (NSMenu*) menuForEvent: (NSEvent*)anEvent inRect: (NSRect)cellFrame ofView: (NSView*)aView;

Description forthcoming.

### mnemonic

- (NSString*) mnemonic;

Description forthcoming.

### mnemonicLocation

- (unsigned int) mnemonicLocation;

Description forthcoming.

### mouseDownFlags

- (int) mouseDownFlags;

Description forthcoming.

### nextState

- (int) nextState;

Description forthcoming.

### objectValue

- (id) objectValue;

Description forthcoming.

### performClick:

- (void) performClick: (id)sender;

Description forthcoming.

### refusesFirstResponder

- (BOOL) refusesFirstResponder;

Description forthcoming.

### representedObject

- (id) representedObject;

Description forthcoming.

### resetCursorRect:inView:

- (void) resetCursorRect: (NSRect)cellFrame inView: (NSView*)controlView;

Description forthcoming.

### selectWithFrame:inView:editor:delegate:start:length:

- (void) selectWithFrame: (NSRect)aRect inView: (NSView*)controlView editor: (NSText*)textObject delegate: (id)anObject start: (int)selStart length: (int)selLength;

Description forthcoming.

### sendActionOn:

- (int) sendActionOn: (int)mask;

Description forthcoming.

### sendsActionOnEndEditing

- (BOOL) sendsActionOnEndEditing;

Description forthcoming.

### setAction:

- (void) setAction: (SEL)aSelector;

Description forthcoming.

### setAlignment:

- (void) setAlignment: (NSTextAlignment)mode;

Description forthcoming.

### setAllowsEditingTextAttributes:

- (void) setAllowsEditingTextAttributes: (BOOL)flag;

Description forthcoming.

### setAllowsMixedState:

- (void) setAllowsMixedState: (BOOL)flag;

Description forthcoming.

### setAttributedStringValue:

- (void) setAttributedStringValue: (NSAttributedString*)attribStr;

Description forthcoming.

### setBezeled:

- (void) setBezeled: (BOOL)flag;

Description forthcoming.

### setBordered:

- (void) setBordered: (BOOL)flag;

Description forthcoming.

### setCellAttribute:to:

- (void) setCellAttribute: (NSCellAttribute)aParameter to: (int)value;

Description forthcoming.

### setContinuous:

- (void) setContinuous: (BOOL)flag;

Description forthcoming.

### setControlSize:

- (void) setControlSize: (NSControlSize)controlSize;

Description forthcoming.

### setControlTint:

- (void) setControlTint: (NSControlTint)controlTint;

Description forthcoming.

### setDoubleValue:

- (void) setDoubleValue: (double)aDouble;

Description forthcoming.

### setEditable:

- (void) setEditable: (BOOL)flag;

Description forthcoming.

### setEnabled:

- (void) setEnabled: (BOOL)flag;

Description forthcoming.

### setEntryType:

- (void) setEntryType: (int)aType;

Description forthcoming.

### setFloatValue:

- (void) setFloatValue: (float)aFloat;

Description forthcoming.

### setFloatingPointFormat:left:right:

- (void) setFloatingPointFormat: (BOOL)autoRange left: (unsigned int)leftDigits right: (unsigned int)rightDigits;

Description forthcoming.

### setFont:

- (void) setFont: (NSFont*)fontObject;

Description forthcoming.

### setFormatter:

- (void) setFormatter: (NSFormatter*)newFormatter;

Description forthcoming.

### setHighlighted:

- (void) setHighlighted: (BOOL)flag;

Description forthcoming.

### setImage:

- (void) setImage: (NSImage*)anImage;

Description forthcoming.

### setImportsGraphics:

- (void) setImportsGraphics: (BOOL)flag;

Description forthcoming.

### setIntValue:

- (void) setIntValue: (int)anInt;

Description forthcoming.

### setMenu:

- (void) setMenu: (NSMenu*)aMenu;

Description forthcoming.

### setMnemonicLocation:

- (void) setMnemonicLocation: (unsigned int)location;

Description forthcoming.

### setNextState

- (void) setNextState;

Description forthcoming.

### setObjectValue:

- (void) setObjectValue: (id)object;

Description forthcoming.

### setRefusesFirstResponder:

- (void) setRefusesFirstResponder: (BOOL)flag;

Description forthcoming.

### setRepresentedObject:

- (void) setRepresentedObject: (id)anObject;

Description forthcoming.

### setScrollable:

- (void) setScrollable: (BOOL)flag;

Description forthcoming.

### setSelectable:

- (void) setSelectable: (BOOL)flag;

Description forthcoming.

### setSendsActionOnEndEditing:

- (void) setSendsActionOnEndEditing: (BOOL)flag;

Description forthcoming.

### setShowsFirstResponder:

- (void) setShowsFirstResponder: (BOOL)flag;

Description forthcoming.

### setState:

- (void) setState: (int)value;

Description forthcoming.

### setStringValue:

- (void) setStringValue: (NSString*)aString;

Description forthcoming.

### setTag:

- (void) setTag: (int)anInt;

Description forthcoming.

### setTarget:

- (void) setTarget: (id)anObject;

Description forthcoming.

### setTitle:

- (void) setTitle: (NSString*)aString;

Description forthcoming.

### setTitleWithMnemonic:

- (void) setTitleWithMnemonic: (NSString*)aString;

Description forthcoming.

### setType:

- (void) setType: (NSCellType)aType;

Description forthcoming.

### setUpFieldEditorAttributes:

- (NSText*) setUpFieldEditorAttributes: (NSText*)textObject;

Description forthcoming.

### setWraps:

- (void) setWraps: (BOOL)flag;

Description forthcoming.

### showsFirstResponder

- (BOOL) showsFirstResponder;

Description forthcoming.

### startTrackingAt:inView:

- (BOOL) startTrackingAt: (NSPoint)startPoint inView: (NSView*)controlView;

Description forthcoming.

### state

- (int) state;

Description forthcoming.

### stopTracking:at:inView:mouseIsUp:

- (void) stopTracking: (NSPoint)lastPoint at: (NSPoint)stopPoint inView: (NSView*)controlView mouseIsUp: (BOOL)flag;

Description forthcoming.

### stringValue

- (NSString*) stringValue;

Description forthcoming.

### tag

- (int) tag;

Description forthcoming.

### takeDoubleValueFrom:

- (void) takeDoubleValueFrom: (id)sender;

Description forthcoming.

### takeFloatValueFrom:

- (void) takeFloatValueFrom: (id)sender;

Description forthcoming.

### takeIntValueFrom:

- (void) takeIntValueFrom: (id)sender;

Description forthcoming.

### takeObjectValueFrom:

- (void) takeObjectValueFrom: (id)sender;

Description forthcoming.

### takeStringValueFrom:

- (void) takeStringValueFrom: (id)sender;

Description forthcoming.

### target

- (id) target;

Description forthcoming.

### title

- (NSString*) title;

Description forthcoming.

### titleRectForBounds:

- (NSRect) titleRectForBounds: (NSRect)theRect;

Description forthcoming.

### trackMouse:inRect:ofView:untilMouseUp:

- (BOOL) trackMouse: (NSEvent*)theEvent inRect: (NSRect)cellFrame ofView: (NSView*)controlView untilMouseUp: (BOOL)flag;

Description forthcoming.

### type

- (NSCellType) type;

Description forthcoming.

### wraps

- (BOOL) wraps;

Description forthcoming.

# Software documentation for the NSCell(PrivateMethods) category

## NSCell(PrivateMethods)

> Declared in:
>   AppKit/NSCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.

Method summary

- -_drawAttributedText:inFrame:
- -_drawText:inFrame:
- -_nonAutoreleasedTypingAttributes
- -_sizeText:
- -textColor

### _drawAttributedText:inFrame:

- (void) _drawAttributedText: (NSAttributedString*)aString inFrame: (NSRect)aRect;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.
Private internal method to display an attributed string.
Important: text should always be vertically centered without considering descender [as if descender did not exist]. This is particularly important for single line texts. Please make sure the output remains always correct.

### _drawText:inFrame:

- (void) _drawText: (NSString*)aString inFrame: (NSRect)cellFrame;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.
Important: text should always be vertically centered without considering descender [as if descender did not exist]. This is particularly important for single line texts. Please make sure the output remains always correct.

### _nonAutoreleasedTypingAttributes

- (NSDictionary*) _nonAutoreleasedTypingAttributes;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _sizeText:

- (NSSize) _sizeText: (NSString*)title;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### textColor

- (NSColor*) textColor;

Description forthcoming.

Up